Software Update Configurations - Delete
特定のソフトウェア更新プログラムの構成を削除します。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/softwareUpdateConfigurations/{softwareUpdateConfigurationName}?api-version=2024-10-23
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
automation
|
path | True |
string |
Automation アカウントの名前。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._]+$ |
Azure リソース グループの名前。 |
|
software
|
path | True |
string |
作成するソフトウェア更新プログラムの構成の名前。 |
|
subscription
|
path | True |
string |
Microsoft Azure サブスクリプションを一意に識別するサブスクリプション資格情報を取得します。 サブスクリプション ID は、全ての修理依頼についてURI の一部を生じさせます。 |
|
api-version
|
query | True |
string |
クライアント API のバージョン。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| clientRequestId |
string |
この特定のクライアント要求を識別します。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
ソフトウェア更新プログラムの構成が削除されました。 |
|
| 204 No Content |
ソフトウェア更新プログラムの構成が存在しません。 |
|
| Other Status Codes |
操作が失敗した理由を説明するオートメーション エラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Delete software update configuration
要求のサンプル
DELETE https://management.azure.com/subscriptions/51766542-3ed7-4a72-a187-0c8ab644ddab/resourceGroups/mygroup/providers/Microsoft.Automation/automationAccounts/myaccount/softwareUpdateConfigurations/mypatch?api-version=2024-10-23
応答のサンプル
定義
ErrorResponse
操作エラーのエラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード |
| message |
string |
操作が失敗した理由を示すエラー メッセージ。 |